Quick Links: Download Gideros Studio | Gideros Documentation | Gideros Development Center | Gideros community chat
How to properly require lua file?? (app crashes after apk packaging) - Gideros Forum

How to properly require lua file?? (app crashes after apk packaging)

Apollo14Apollo14 Member
edited October 27 in Bugs and issues
Hi guys!
I have appConfig.lua file that contains:
return {
	adTestingEnabled=false,
	forceDefaultSettings=false,
	--etc...
}
And I have this line of code in my main.lua:
APP_CONFIG=require("appConfig")
It works on gideros emulators (both PC and mobile).
BUT it crashes after packaging apk.

OMG it's so ugly, I came to know that it broke my release version for 10 days already and I didn't even know about it. App fell down in keyword rankings.
Why does working with gideros have to be so ugly?
How do we properly require such files?

imageimage
> Newcomers roadmap: from where to start learning Gideros
"What one programmer can do in one month, two programmers can do in two months." - Fred Brooks
“The more you do coding stuff, the better you get at it.” - Aristotle (322 BC)
Screenshot_2020-10-27-09-50-05-713_com.miui.bugreport.jpg
1080 x 1920 - 333K
Screenshot_2020-10-27-09-37-22-118_com.miui.bugreport.jpg
1080 x 1920 - 194K

Comments

Sign In or Register to comment.